Subject: Re: [PATCH] netfilter: xt_NFLOG: allow 128 character log prefixes

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 27 Jul 2021 21:54:59 +0200

Hi,

On Tue, Jul 27, 2021 at 02:00:00PM -0500, Kyle Bowman wrote:
> From: Alex Forster <[email-masked]>
> 
> nftables defines NF_LOG_PREFIXLEN as 128 characters, while iptables
> limits the NFLOG prefix to 64 characters. In order to eventually make
> the two consistent [...]

Why do you need to make the two consistent? iptables NFLOG prefix
length is a subset of nftables log action, this is sufficient for the
iptables-nft layer. I might be missing the use-case on your side,
could you please elaborate?